summaryrefslogtreecommitdiff
path: root/x11-wm
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-16 10:53:11 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-16 10:53:11 -0500
commit8e65dc62f3f9f6b8f7b890fefedbf4ac05dfde0b (patch)
treebb1e83c18d1cc77cdebfc5aeb9b12ad39c9787b5 /x11-wm
parentf997c3ee588099e4f43e9ec845935868e3e60b8e (diff)
downloadbaldeagleos-repo-8e65dc62f3f9f6b8f7b890fefedbf4ac05dfde0b.tar.gz
baldeagleos-repo-8e65dc62f3f9f6b8f7b890fefedbf4ac05dfde0b.tar.xz
baldeagleos-repo-8e65dc62f3f9f6b8f7b890fefedbf4ac05dfde0b.zip
Adding metadata
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/bspwm/bspwm-0.9.12.ebuild4
-rw-r--r--x11-wm/herbstluftwm/Manifest1
-rw-r--r--x11-wm/herbstluftwm/herbstluftwm-0.9.5-r2.ebuild4
-rw-r--r--x11-wm/herbstluftwm/herbstluftwm-0.9.6.ebuild164
-rw-r--r--x11-wm/herbstluftwm/herbstluftwm-9999.ebuild26
-rw-r--r--x11-wm/mutter/Manifest1
-rw-r--r--x11-wm/mutter/mutter-48.8.ebuild2
-rw-r--r--x11-wm/mutter/mutter-49.6.ebuild (renamed from x11-wm/mutter/mutter-49.5.ebuild)28
-rw-r--r--x11-wm/mutter/mutter-9999.ebuild30
9 files changed, 222 insertions, 38 deletions
diff --git a/x11-wm/bspwm/bspwm-0.9.12.ebuild b/x11-wm/bspwm/bspwm-0.9.12.ebuild
index 1106b6d82373..98c3efb666ed 100644
--- a/x11-wm/bspwm/bspwm-0.9.12.ebuild
+++ b/x11-wm/bspwm/bspwm-0.9.12.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/baskerville/bspwm/archive/${PV}.tar.gz -> ${P}.tar.g
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~x86"
+KEYWORDS="amd64 ~riscv ~x86"
DEPEND="
x11-libs/libxcb:=
diff --git a/x11-wm/herbstluftwm/Manifest b/x11-wm/herbstluftwm/Manifest
index 7f40a3fb76c1..a7057a352737 100644
--- a/x11-wm/herbstluftwm/Manifest
+++ b/x11-wm/herbstluftwm/Manifest
@@ -1 +1,2 @@
DIST herbstluftwm-0.9.5.tar.gz 556773 BLAKE2B db851f02ce249be74f0104dd0b335fb1ed50b4a19e5f7de17cdc34b7eba99ac2f348c5a4a4e0afd2c68576f650029203c735ccb293a60d321769d56f746d6593 SHA512 a85fd1ab16b873f512d6965cc4a93524e3ed4a15079d0d4ee54012e217bd41db3b54729c1b30ee361c34b38799f95bc537099056ba7a5f791bf2be6724bc92c3
+DIST herbstluftwm-0.9.6.tar.gz 603996 BLAKE2B fbf402268be00b65319af55e1602dd083f70b9247d71027840271266c79de7ba4a1ae660344c7b36dee159bb2181ca3561d63fc2972301a6ac62ab8957fba756 SHA512 08a1b336f59aae978474997fbf4e5c9b99cdee4e8eab5c87762947e569f90f978c8f662b3f4fc4a0b7ae6f2f24d336bc3c771223af16723df457ff496b1a08e0
diff --git a/x11-wm/herbstluftwm/herbstluftwm-0.9.5-r2.ebuild b/x11-wm/herbstluftwm/herbstluftwm-0.9.5-r2.ebuild
index c95b06bc28d8..936a18b3a420 100644
--- a/x11-wm/herbstluftwm/herbstluftwm-0.9.5-r2.ebuild
+++ b/x11-wm/herbstluftwm/herbstluftwm-0.9.5-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -86,7 +86,7 @@ src_prepare() {
src_configure() {
# Ensure that 'python3' is in PATH. #765118
- python_setup
+ use python && python_setup
local mycmakeargs=(
-DWITH_DOCUMENTATION=$(usex doc)
diff --git a/x11-wm/herbstluftwm/herbstluftwm-0.9.6.ebuild b/x11-wm/herbstluftwm/herbstluftwm-0.9.6.ebuild
new file mode 100644
index 000000000000..fcf95cbc7886
--- /dev/null
+++ b/x11-wm/herbstluftwm/herbstluftwm-0.9.6.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_OPTIONAL=1
+
+inherit cmake desktop distutils-r1
+
+DESCRIPTION="A manual tiling window manager for X"
+HOMEPAGE="https://herbstluftwm.org/"
+
+if [[ "${PV}" == "9999" ]] || [[ -n "${EGIT_COMMIT_ID}" ]]; then
+ EGIT_REPO_URI="https://github.com/herbstluftwm/herbstluftwm"
+ inherit git-r3
+else
+ SRC_URI="https://herbstluftwm.org/tarballs/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="+doc python test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+ python? ( ${PYTHON_REQUIRED_USE} )
+ test? ( python )
+"
+
+COMMON_DEPEND="
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXft
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ test? (
+ dev-python/ewmh
+ dev-python/python-xlib
+ x11-apps/xsetroot
+ x11-base/xorg-server[xephyr,xvfb]
+ x11-misc/xdotool
+ x11-terms/xterm
+ )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ app-shells/bash
+ python? ( ${PYTHON_DEPS} )
+"
+BDEPEND="
+ ${DISTUTILS_DEPS}
+ virtual/pkgconfig
+"
+
+if [[ -n "${EGIT_REPO_URI}" ]]; then
+ # If hlwm is build from VCS, then hlwm-doc.json, which is used in
+ # the tests, needs to generated by the WITH_DOCUMENTATION option.
+ REQUIRED_USE+=" test? ( doc )"
+
+ # Herbstluftwm tarballs ship with pre-compiled documentation, only
+ # if we build from git asciidoc is needed.
+ BDEPEND+=" doc? ( app-text/asciidoc )"
+fi
+
+src_prepare() {
+ # Do not install LICENSE and respect CMAKE_INSTALL_DOCDIR.
+ sed -i \
+ -e '/^install.*LICENSEDIR/d' \
+ -e '/set(DOCDIR / s#.*#set(DOCDIR ${CMAKE_INSTALL_DOCDIR})#' \
+ CMakeLists.txt || die
+
+ # Do not install MAN pages, we use doman in src_install() for that.
+ sed -i '/MANDIR/d' \
+ doc/CMakeLists.txt || die
+
+ cmake_src_prepare
+
+ if use python; then
+ pushd "${S}"/python > /dev/null || die
+ distutils-r1_src_prepare
+ popd > /dev/null || die
+ fi
+}
+
+src_configure() {
+ # Ensure that 'python3' is in PATH. #765118
+ use python && python_setup
+
+ local mycmakeargs=(
+ -DWITH_DOCUMENTATION=$(usex doc)
+ )
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+
+ if use python; then
+ pushd python > /dev/null || die
+ distutils-r1_src_compile
+ popd >/dev/null || die
+ fi
+
+ # The following symlinks are required for src_test
+ ln -s "${BUILD_DIR}/herbstclient" || die "Could not symlink herbstclient"
+ ln -s "${BUILD_DIR}/herbstluftwm" || die "Could not symlink herbstluftwm"
+ if [[ -n "${EGIT_REPO_URI}" ]]; then
+ ln -s "${BUILD_DIR}/doc/hlwm-doc.json" "doc/hlwm-doc.json" || die "Could not symlink hlwm-doc.json"
+ fi
+}
+
+src_install() {
+ cmake_src_install
+
+ if ! use doc; then
+ rm -r "${ED}"/usr/share/doc/${PF}/examples || die
+ fi
+
+ if use python; then
+ pushd python > /dev/null || die
+ distutils-r1_src_install
+ popd > /dev/null || die
+ fi
+
+ # The man pages exists in src_install either in non-live ebuilds,
+ # since they are then shipped pre-compiled in herbstluftwm's
+ # release tarbal. Or they exist in live ebuilds if the 'doc' USE
+ # flag is enabled.
+ if [[ -n "${EGIT_REPO_URI}" ]] || use doc; then
+ local man_pages=(
+ herbstluftwm.1
+ herbstclient.1
+ herbstluftwm-tutorial.7
+ )
+ local man_page
+ for man_page in "${man_pages[@]}"; do
+ doman "${BUILD_DIR}/doc/${man_page}"
+ done
+ fi
+
+ # Do not only install the herbstluftwm.desktop file in xsessions/ but
+ # also in applications/. This allows herbstluftwm to be used as
+ # window manager of a Gnome flashback session.
+ domenu "${ED}"/usr/share/xsessions/herbstluftwm.desktop
+}
+
+distutils_enable_tests pytest
+
+src_test() {
+ local EPYTEST_DESELECT=(
+ # Stress test that rapidly creates 50 clients. Prone to
+ # IPC/Xvfb timeouts, especially in parallelized builds
+ # environments.
+ tests/test_rules.py::test_floatplacement_smart_create_many
+ )
+ distutils-r1_src_test
+}
diff --git a/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild b/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild
index 8604259dfa13..fcf95cbc7886 100644
--- a/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild
+++ b/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -91,7 +91,7 @@ src_prepare() {
src_configure() {
# Ensure that 'python3' is in PATH. #765118
- python_setup
+ use python && python_setup
local mycmakeargs=(
-DWITH_DOCUMENTATION=$(usex doc)
@@ -107,6 +107,13 @@ src_compile() {
distutils-r1_src_compile
popd >/dev/null || die
fi
+
+ # The following symlinks are required for src_test
+ ln -s "${BUILD_DIR}/herbstclient" || die "Could not symlink herbstclient"
+ ln -s "${BUILD_DIR}/herbstluftwm" || die "Could not symlink herbstluftwm"
+ if [[ -n "${EGIT_REPO_URI}" ]]; then
+ ln -s "${BUILD_DIR}/doc/hlwm-doc.json" "doc/hlwm-doc.json" || die "Could not symlink hlwm-doc.json"
+ fi
}
src_install() {
@@ -126,7 +133,7 @@ src_install() {
# since they are then shipped pre-compiled in herbstluftwm's
# release tarbal. Or they exist in live ebuilds if the 'doc' USE
# flag is enabled.
- if [[ "${PV}" != 9999 ]] || use doc; then
+ if [[ -n "${EGIT_REPO_URI}" ]] || use doc; then
local man_pages=(
herbstluftwm.1
herbstclient.1
@@ -147,12 +154,11 @@ src_install() {
distutils_enable_tests pytest
src_test() {
- if [[ -n "${EGIT_REPO_URI}" ]]; then
- ln -s "${BUILD_DIR}/doc/hlwm-doc.json" "doc/hlwm-doc.json" || die "Could not symlink hlwm-doc.json"
- fi
-
- ln -s "${BUILD_DIR}/herbstclient" || die "Could not symlink herbstclient"
- ln -s "${BUILD_DIR}/herbstluftwm" || die "Could not symlink herbstluftwm"
-
+ local EPYTEST_DESELECT=(
+ # Stress test that rapidly creates 50 clients. Prone to
+ # IPC/Xvfb timeouts, especially in parallelized builds
+ # environments.
+ tests/test_rules.py::test_floatplacement_smart_create_many
+ )
distutils-r1_src_test
}
diff --git a/x11-wm/mutter/Manifest b/x11-wm/mutter/Manifest
index 10386b03b03c..1a0cfd0736fe 100644
--- a/x11-wm/mutter/Manifest
+++ b/x11-wm/mutter/Manifest
@@ -2,3 +2,4 @@ DIST mutter-48.5.tar.xz 8387448 BLAKE2B fb963267d4651de95297a361cb191b43046b428e
DIST mutter-48.7.tar.xz 8386684 BLAKE2B ef1c888ef09721f10a9a9dafac40f95fb983fac6d6796928cf5564efc088e89d85324398f3da2948731bb8176f1c9f7ccbf9e3d44e6015a4ba30a82600e862bc SHA512 06105bfa117f646aae819c9a522f6799446d03a157c140b01d39810e9a19c8963dd7aa1a6a46f70f68b122a8105e5e325642b8ddf19e31efa253f1d66693a3ce
DIST mutter-48.8.tar.xz 8391472 BLAKE2B cae07538eb5c5aa68e86cccd7d340fc5a31e9f3d449db6fd5ef169bfe4c87d5ccfa5943e85ff17a37ce1e1a841a14a0e844bf22f44a4a23bb4f2ba58deb9af2d SHA512 7e43bbc44bae8de40b719133c9dc58dd93246fd71b1e9c441c603d97872c9eeed03fe3dec3027c002b7be4abd58e5d14bd605fa42ef4c82158ce767744f680b3
DIST mutter-49.5.tar.xz 8511356 BLAKE2B e0835d10b5f39efe407f996f79edfab11ee0d6494fc66fedb5bda247e4a4a194791ca2964cb88de31c4ba94d352f85fcf2400741adb5b519d72f5c269bd047e7 SHA512 cc23bd7184863fba7bc9a0989c2244c739ee07c6d59317b3765e60730a01a66c07769fc0ff5c30fd9de0a96d50055f1618fdaf94e42810196972755bb885d156
+DIST mutter-49.6.tar.xz 8521708 BLAKE2B 44ef6c7f0841090a4a9d955ef8fc4fba3009b6e6066b073e3fc517b6631457d874ae5e6cf2b7195bed9bd57ef6ca51d3153b6b2d12a1659d6b5f72b7f8ebbb44 SHA512 3b4addc3106bc2f1aa47f76dcb8e5a7fabcf77626186d152804dd4558316bfa10ec22a6c19ff9d0b6a84dfda70fa06b0d31dc58821719ea7cf1954bcfc50dfa2
diff --git a/x11-wm/mutter/mutter-48.8.ebuild b/x11-wm/mutter/mutter-48.8.ebuild
index b2ce7cd25750..9165d8f944f9 100644
--- a/x11-wm/mutter/mutter-48.8.ebuild
+++ b/x11-wm/mutter/mutter-48.8.ebuild
@@ -15,7 +15,7 @@ if [[ ${PV} == 9999 ]]; then
SRC_URI=""
SLOT="0/16" # This can get easily out of date, but better than 9967
else
- KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
SLOT="0/$(($(ver_cut 1) - 32))" # 0/libmutter_api_version - ONLY gnome-shell (or anything using mutter-clutter-<api_version>.pc) should use the subslot
fi
diff --git a/x11-wm/mutter/mutter-49.5.ebuild b/x11-wm/mutter/mutter-49.6.ebuild
index 40297fc425fd..14e580fe6546 100644
--- a/x11-wm/mutter/mutter-49.5.ebuild
+++ b/x11-wm/mutter/mutter-49.6.ebuild
@@ -16,10 +16,14 @@ if [[ ${PV} == 9999 ]]; then
SLOT="0/17" # This can get easily out of date, but better than 9967
else
KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
- SLOT="0/$(($(ver_cut 1) - 32))" # 0/libmutter_api_version - ONLY gnome-shell (or anything using mutter-clutter-<api_version>.pc) should use the subslot
+ # 0/libmutter_api_version - ONLY gnome-shell or anything using mutter-clutter-<api_version>.pc
+ # should use the subslot
+ SLOT="0/$(($(ver_cut 1) - 32))"
fi
-IUSE="bash-completion debug devkit elogind gnome gtk-doc input_devices_wacom +introspection screencast selinux sysprof systemd test udev +wayland X +xwayland video_cards_nvidia"
+IUSE="bash-completion debug devkit elogind gnome gtk-doc input_devices_wacom +introspection
+screencast selinux sysprof systemd test udev +wayland X +xwayland video_cards_nvidia"
+
# native backend requires gles3 for hybrid graphics blitting support, udev and a logind provider
REQUIRED_USE="
|| ( X wayland )
@@ -30,13 +34,14 @@ REQUIRED_USE="
xwayland? ( wayland )"
RESTRICT="!test? ( test )"
-# gnome-settings-daemon is build checked, but used at runtime only for org.gnome.settings-daemon.peripherals.keyboard gschema
-# USE=libei was first introduced in xwayland-23.2.1; we min dep on that to ensure the [libei(+)] works right, as missing USE flag with
-# previous versions meant that it's not there, while the intention seems to be to make it always enabled without USE flag in the future;
-# this ensures have_enable_ei_portal is always there in xwayland.pc, which affects how Xwayland is launched, thus if it were toggled off
-# in Xwayland after mutter is installed, Xwayland would fail to be started by mutter. mutter already hard-depends on libei, so there's
-# really no extra deps here (besides xdg-desktop-portal, but we want that too, anyhow).
-# v3.32.2 has many excessive or unused *_req variables declared, thus currently the dep order ignores those and goes via dependency() call order
+# gnome-settings-daemon is build checked but used at runtime only for org.gnome.settings-daemon.peripherals.keyboard
+# gschema
+# USE=libei was first introduced in xwayland-23.2.1; we min dep on that to ensure the [libei(+)] works right, as
+# missing USE flag with previous versions meant that it's not there, while the intention seems to be to make it always
+# enabled without USE flag in the future; this ensures have_enable_ei_portal is always there in xwayland.pc, which
+# affects how Xwayland is launched, thus if it were toggled off in Xwayland after mutter is installed, Xwayland would
+# fail to be started by mutter. mutter already hard-depends on libei, so there's really no extra deps here (besides
+# xdg-desktop-portal, but we want that too, anyhow).
# dev-libs/wayland is always needed at build time due to https://bugs.gentoo.org/937632
RDEPEND="
>=media-libs/graphene-1.10.2[introspection?]
@@ -233,7 +238,8 @@ src_configure() {
#verbose # Let upstream choose default for verbose mode
#xwayland_path
- # TODO: relies on default settings, but in Gentoo we might have some more packages we want to give Xgrab access (mostly virtual managers and remote desktops)
+ # TODO: relies on default settings, but in Gentoo we might have some more packages we want to give
+ # Xgrab access (mostly virtual managers and remote desktops)
#xwayland_grab_default_access_rules
)
@@ -253,7 +259,7 @@ src_configure() {
}
src_test() {
- # Reset variables to avoid issues from /etc/profile.d/flatpak.sh file
+ # Needed to prevent some tests failures
gnome2_environment_reset
export XDG_DATA_DIRS="${EPREFIX}"/usr/share
glib-compile-schemas "${BUILD_DIR}"/data
diff --git a/x11-wm/mutter/mutter-9999.ebuild b/x11-wm/mutter/mutter-9999.ebuild
index cbb3a31486d3..14e580fe6546 100644
--- a/x11-wm/mutter/mutter-9999.ebuild
+++ b/x11-wm/mutter/mutter-9999.ebuild
@@ -15,11 +15,15 @@ if [[ ${PV} == 9999 ]]; then
SRC_URI=""
SLOT="0/17" # This can get easily out of date, but better than 9967
else
- KEYWORDS="~amd64 ~arm ~arm64 ~x86"
- SLOT="0/$(($(ver_cut 1) - 32))" # 0/libmutter_api_version - ONLY gnome-shell (or anything using mutter-clutter-<api_version>.pc) should use the subslot
+ KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+ # 0/libmutter_api_version - ONLY gnome-shell or anything using mutter-clutter-<api_version>.pc
+ # should use the subslot
+ SLOT="0/$(($(ver_cut 1) - 32))"
fi
-IUSE="bash-completion debug devkit elogind gnome gtk-doc input_devices_wacom +introspection screencast selinux sysprof systemd test udev +wayland X +xwayland video_cards_nvidia"
+IUSE="bash-completion debug devkit elogind gnome gtk-doc input_devices_wacom +introspection
+screencast selinux sysprof systemd test udev +wayland X +xwayland video_cards_nvidia"
+
# native backend requires gles3 for hybrid graphics blitting support, udev and a logind provider
REQUIRED_USE="
|| ( X wayland )
@@ -30,13 +34,14 @@ REQUIRED_USE="
xwayland? ( wayland )"
RESTRICT="!test? ( test )"
-# gnome-settings-daemon is build checked, but used at runtime only for org.gnome.settings-daemon.peripherals.keyboard gschema
-# USE=libei was first introduced in xwayland-23.2.1; we min dep on that to ensure the [libei(+)] works right, as missing USE flag with
-# previous versions meant that it's not there, while the intention seems to be to make it always enabled without USE flag in the future;
-# this ensures have_enable_ei_portal is always there in xwayland.pc, which affects how Xwayland is launched, thus if it were toggled off
-# in Xwayland after mutter is installed, Xwayland would fail to be started by mutter. mutter already hard-depends on libei, so there's
-# really no extra deps here (besides xdg-desktop-portal, but we want that too, anyhow).
-# v3.32.2 has many excessive or unused *_req variables declared, thus currently the dep order ignores those and goes via dependency() call order
+# gnome-settings-daemon is build checked but used at runtime only for org.gnome.settings-daemon.peripherals.keyboard
+# gschema
+# USE=libei was first introduced in xwayland-23.2.1; we min dep on that to ensure the [libei(+)] works right, as
+# missing USE flag with previous versions meant that it's not there, while the intention seems to be to make it always
+# enabled without USE flag in the future; this ensures have_enable_ei_portal is always there in xwayland.pc, which
+# affects how Xwayland is launched, thus if it were toggled off in Xwayland after mutter is installed, Xwayland would
+# fail to be started by mutter. mutter already hard-depends on libei, so there's really no extra deps here (besides
+# xdg-desktop-portal, but we want that too, anyhow).
# dev-libs/wayland is always needed at build time due to https://bugs.gentoo.org/937632
RDEPEND="
>=media-libs/graphene-1.10.2[introspection?]
@@ -233,7 +238,8 @@ src_configure() {
#verbose # Let upstream choose default for verbose mode
#xwayland_path
- # TODO: relies on default settings, but in Gentoo we might have some more packages we want to give Xgrab access (mostly virtual managers and remote desktops)
+ # TODO: relies on default settings, but in Gentoo we might have some more packages we want to give
+ # Xgrab access (mostly virtual managers and remote desktops)
#xwayland_grab_default_access_rules
)
@@ -253,7 +259,7 @@ src_configure() {
}
src_test() {
- # Reset variables to avoid issues from /etc/profile.d/flatpak.sh file
+ # Needed to prevent some tests failures
gnome2_environment_reset
export XDG_DATA_DIRS="${EPREFIX}"/usr/share
glib-compile-schemas "${BUILD_DIR}"/data